Bug 1963736 - Pomodoro shell extension clashes with GNOME's lock screen
Summary: Pomodoro shell extension clashes with GNOME's lock screen
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell-extension-pomodoro
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-23 19:54 UTC by Alexander Ploumistos
Modified: 2021-09-02 23:46 UTC (History)
1 user (show)

Fixed In Version: gnome-shell-extension-pomodoro-0.19.2-0.1.fc36 gnome-shell-extension-pomodoro-0.19.2-0.1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-27 09:45:06 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github gnome-pomodoro gnome-pomodoro issues 554 0 None open Lockscreen freezes/breaks under Gnome 40 2021-05-23 19:54:16 UTC

Description Alexander Ploumistos 2021-05-23 19:54:17 UTC
Hi Mat,

I installed the pomodoro shell extension today and everything was going fine, up to the point I returned from a Long Break during which GNOME's lock screen had been activated and I could not get back to my session. I could not input my password and while hacking around the problem (trying to get back to my precious and unsaved thesis) at some point I managed to log back in, but no keyboard or mouse input would get registered by the session. I could switch to another VT and close everything from there, but I never managed to get my session back.

The issue has already been reported upstream[0] and there's a branch that mostly fixes the issue on GNOME 40[1].
Just like the reporter there, I am on a multi-monitor setup and I'm also running GNOME on X.
I don't know if I'd push an update for F34 & F35, given that not everything is fixed yet, but the remaining issue on that branch seems less frightening than the original one.



0. https://github.com/gnome-pomodoro/gnome-pomodoro/issues/554
1. https://github.com/gnome-pomodoro/gnome-pomodoro/tree/gnome-4.0

Comment 1 Mat Booth 2021-05-25 13:21:31 UTC
Thanks for filing a ticket, we could package a snapshot from upstream's gnome-4.0 branch for updates-testing if you wanted to give it a try?

Comment 2 Alexander Ploumistos 2021-05-25 14:08:34 UTC
I still do not know if pomodoro is the way for me, but sure, I'm in.

Comment 3 Fedora Update System 2021-08-27 09:44:05 UTC
FEDORA-2021-ec7559be0a has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ec7559be0a

Comment 4 Fedora Update System 2021-08-27 09:45:06 UTC
FEDORA-2021-ec7559be0a has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-08-27 09:50:13 UTC
FEDORA-2021-4c639146e1 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-4c639146e1

Comment 6 Fedora Update System 2021-08-27 17:26:12 UTC
FEDORA-2021-8fa179e77c has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8fa179e77c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8fa179e77c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-08-27 19:37:03 UTC
FEDORA-2021-4c639146e1 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-4c639146e1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-4c639146e1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-09-02 23:46:25 UTC
FEDORA-2021-4c639146e1 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.